- Clone an existing policy
- okta.policies.manage
Clones an existing policy
- https://subdomain.okta.comhttps://subdomain.okta.com/api/v1/policies/{policyId}/clone
curl -i -X POST \
https://subdomain.okta.com/api/v1/policies/00plrilJ7jZ66Gn0X0g3/cloneSuccess
Timestamp when the policy was last modified
Specifies the order in which this policy is evaluated in relation to the other policies
Whether or not the policy is active. Use the activate query parameter to set the status of a policy.
All Okta orgs contain only one IdP discovery policy with an immutable default rule routing to your org's sign-in page. All Okta orgs also contain just one entity risk policy, one session protection policy, and one identity claims sourcing policy.
| Enum Value | Description |
|---|---|
| ACCESS_POLICY | |
| MFA_ENROLL | Authenticator enrollment policy |
| ENTITY_RISK | |
| OKTA_SIGN_ON | Global session policy |
| IDP_DISCOVERY | (Read-only) IdP discovery policy |
| POST_AUTH_SESSION | |
| PASSWORD | Password policy |
| PROFILE_ENROLLMENT | |
| DEVICE_SIGNAL_COLLECTION | |
| SESSION_VIOLATION_DETECTION | |
| CLIENT_UPDATE | |
| IDENTITY_CLAIM_SOURCING | |
| USER_IDENTIFICATION | |
| SELF_SERVICE_REGISTRATION | |
| ATTACK_PROTECTION |
{ "type": "PASSWORD", "id": "policyId", "status": "ACTIVE", "name": "Policy name", "description": "Policy description", "priority": 1, "system": true, "created": "createdDate", "lastUpdated": "lastUpdated", "conditions": { "people": { … }, "authProvider": { … } }, "settings": { "password": { … }, "recovery": { … }, "delegation": { … } }, "_links": { "self": { … }, "rules": { … } } }